| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Grid2D Class Reference
General

Represents a grid of 2D lines in an Inl-Crl plane. More...

`#include <grid2d.h>`

## Classes
class | Line
| Line in an Inl-Crl plane. More...

## Public Member Functions
| Grid2D ()
virtual | ~Grid2D ()
const Grid2D::Line * | getLine (int idx, bool dim) const
bool | isEmpty () const
void | limitTo (const TrcKeySampling &)
void | set (const Grid2D::Line &, double pardist, double perpdist, const TrcKeySampling &)
void | set (const TypeSet< int > &inls, const TypeSet< int > &crls, const TrcKeySampling &)
int | size (bool dim) const
int | totalSize () const

## Protected Member Functions
void | createParallelLines (const Line2 &baseline, double dist, const TrcKeySampling &, ObjectSet< Grid2D::Line > &)
void | empty ()

## Protected Attributes
ObjectSet< Grid2D::Line > | dim0lines_
ObjectSet< Grid2D::Line > | dim1lines_

## Detailed Description

Represents a grid of 2D lines in an Inl-Crl plane.

<>

## Constructor & Destructor Documentation

## ◆ Grid2D()

Grid2D::Grid2D | ( |  | ) |
| inline

## ◆ ~Grid2D()

virtual Grid2D::~Grid2D | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ createParallelLines()

void Grid2D::createParallelLines | ( | const Line2 & | baseline,
|  | double | dist,
|  | const TrcKeySampling & | ,
|  | ObjectSet< Grid2D::Line > & | )
| protected

## ◆ empty()

void Grid2D::empty | ( |  | ) |
| protected

## ◆ getLine()

const Grid2D::Line * Grid2D::getLine | ( | int | idx,
|  | bool | dim ) const

## ◆ isEmpty()

bool Grid2D::isEmpty | ( |  | ) | const

## ◆ limitTo()

void Grid2D::limitTo | ( | const TrcKeySampling & |  | ) |

## ◆ set() [1/2]

void Grid2D::set | ( | const Grid2D::Line & | ,
|  | double | pardist,
|  | double | perpdist,
|  | const TrcKeySampling & | )

## ◆ set() [2/2]

void Grid2D::set | ( | const TypeSet< int > & | inls,
|  | const TypeSet< int > & | crls,
|  | const TrcKeySampling & | )

## ◆ size()

int Grid2D::size | ( | bool | dim | ) | const

## ◆ totalSize()

int Grid2D::totalSize | ( |  | ) | const

## Member Data Documentation

## ◆ dim0lines_

ObjectSet<Grid2D::Line> Grid2D::dim0lines_
| protected

## ◆ dim1lines_

ObjectSet<Grid2D::Line> Grid2D::dim1lines_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025